QGIS Application - Bug report #8506
In the Label Section- option Type case - Capitalize first letter don't work
2013-08-22 04:38 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 17266
Description

as repeorted.

In the label properties, when choose to set the "Type case",
the option "Capitalize first letters" don't work, it return always the all uppercase letters.

Instead the option "all lowercase" work correctly.

Andrea.

History

#1 - 2013-08-23 02:57 AM - Giovanni Manghi
- Assignee set to Larry Shaffer
- Status changed from Open to Feedback

just tested on ggis master and cannot confirm this issue.

#2 - 2013-08-23 04:44 AM - aperi2007 -
- Status changed from Feedback to Closed

Ok,

more probably is a question of my windows.

Also | found an easy workaround defining on my dbms a view with case transformation.

So | close the ticket.

Thx,

#3 - 2013-11-14 07:40 AM - belg4mit -
- Status changed from Closed to Reopened

This was closed prematurely, it does not work as advertised. The problem is that the function assumes the input is already lowercase, whereas official
sources e.g; MassGIS; may store text as all uppercase. The solution is to Ic() the string before ucfirst().
#4 - 2015-03-27 01:00 AM - Nyall Dawson
- Resolution set to duplicate

- Status changed from Reopened to Closed

Duplicate of #7724

2024-03-20 22



